lmazuel / TestingRepo

To test to Python Github SDK. Nothing interesting here.

Geek Repo:Geek Repo

Github PK Tool:Github PK Tool

Create SDK Insight

lmazuel opened this issue · comments

Something's wrong:

Traceback (most recent call last):
  File "C:\Program Files\Python36\lib\shutil.py", line 391, in _rmtree_unsafe
    os.rmdir(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\\Users\\lmazuel\\AppData\\Local\\Temp\\tmpdpzatzt4/sdk'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 89, in generate
    return "Sorry, there is nothing to PR"
  File "C:\Program Files\Python36\lib\contextlib.py", line 88, in __exit__
    next(self.gen)
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\SwaggerToSdkCore.py", line 435, in manage_git_folder
    shutil.rmtree(temp_dir, onerror=remove_readonly)
  File "C:\Program Files\Python36\lib\shutil.py", line 494, in rmtree
    return _rmtree_unsafe(path, onerror)
  File "C:\Program Files\Python36\lib\shutil.py", line 393, in _rmtree_unsafe
    onerror(os.rmdir, path, sys.exc_info())
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\SwaggerToSdkCore.py", line 416, in remove_readonly
    func(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\\Users\\lmazuel\\AppData\\Local\\Temp\\tmpdpzatzt4/sdk'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 43, in act_and_response
    response = self.comment_command(issue, command)
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 55, in comment_command
    return self.generate(issue, split_text[1])
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 89, in generate
    return "Sorry, there is nothing to PR"
  File "C:\Program Files\Python36\lib\tempfile.py", line 807, in __exit__
    self.cleanup()
  File "C:\Program Files\Python36\lib\tempfile.py", line 811, in cleanup
    _shutil.rmtree(self.name)
  File "C:\Program Files\Python36\lib\shutil.py", line 494, in rmtree
    return _rmtree_unsafe(path, onerror)
  File "C:\Program Files\Python36\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Program Files\Python36\lib\shutil.py", line 393, in _rmtree_unsafe
    onerror(os.rmdir, path, sys.exc_info())
  File "C:\Program Files\Python36\lib\shutil.py", line 391, in _rmtree_unsafe
    os.rmdir(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\\Users\\lmazuel\\AppData\\Local\\Temp\\tmpdpzatzt4\\sdk'

Traceback (most recent call last):
File "C:\Program Files\Python36\lib\shutil.py", line 391, in _rmtree_unsafe
os.rmdir(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\Users\lmazuel\AppData\Local\Temp\tmpdpzatzt4/sdk'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 89, in generate
return "Sorry, there is nothing to PR"
File "C:\Program Files\Python36\lib\contextlib.py", line 88, in exit
next(self.gen)
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\SwaggerToSdkCore.py", line 435, in manage_git_folder
shutil.rmtree(temp_dir, onerror=remove_readonly)
File "C:\Program Files\Python36\lib\shutil.py", line 494, in rmtree
return _rmtree_unsafe(path, onerror)
File "C:\Program Files\Python36\lib\shutil.py", line 393, in _rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info())
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\SwaggerToSdkCore.py", line 416, in remove_readonly
func(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\Users\lmazuel\AppData\Local\Temp\tmpdpzatzt4/sdk'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 43, in act_and_response
response = self.comment_command(issue, command)
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 55, in comment_command
return self.generate(issue, split_text[1])
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 89, in generate
return "Sorry, there is nothing to PR"
File "C:\Program Files\Python36\lib\tempfile.py", line 807, in exit
self.cleanup()
File "C:\Program Files\Python36\lib\tempfile.py", line 811, in cleanup
_shutil.rmtree(self.name)
File "C:\Program Files\Python36\lib\shutil.py", line 494, in rmtree
return _rmtree_unsafe(path, onerror)
File "C:\Program Files\Python36\lib\shutil.py", line 384, in _rmtree_unsafe
_rmtree_unsafe(fullname, onerror)
File "C:\Program Files\Python36\lib\shutil.py", line 393, in _rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info())
File "C:\Program Files\Python36\lib\shutil.py", line 391, in _rmtree_unsafe
os.rmdir(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\Users\lmazuel\AppData\Local\Temp\tmpdpzatzt4\sdk'

Done! I created this branch and this PR:

  • hdinsight.mgmt
  • #12
ezoic increase your site revenue